com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonArrayFormatVisitor

- All Superinterfaces:
    JsonFormatVisitorWithSerializerProvider
  All Known Implementing Classes:
    JsonArrayFormatVisitor.Base

      public interface JsonArrayFormatVisitor
      extends JsonFormatVisitorWithSerializerProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonArrayFormatVisitor.Base` Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `itemsFormat(JsonFormatTypes format)` Visit method that is called if the content type is a simple scalar type like `JsonFormatTypes.STRING` (but not for structured types like `JsonFormatTypes.OBJECT` since they would be missing type information).
    `void` | `itemsFormat(JsonFormatVisitable handler, JavaType elementType)` Visit method called for structured types, as well as possibly for leaf types (especially if handled by custom serializers).

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

      `getProvider, setProvider`

- - ### Method Detail

    - #### itemsFormat

          void itemsFormat(JsonFormatVisitable handler,
                         JavaType elementType)
                           throws JsonMappingException

      Visit method called for structured types, as well as possibly for leaf types (especially if handled by custom serializers).
      Parameters:
        `handler` - Serializer used, to allow for further callbacks
        `elementType` - Type of elements in JSON array value
      Throws:
        `JsonMappingException`

    - #### itemsFormat

          void itemsFormat(JsonFormatTypes format)
                           throws JsonMappingException

      Visit method that is called if the content type is a simple scalar type like `JsonFormatTypes.STRING` (but not for structured types like `JsonFormatTypes.OBJECT` since they would be missing type information).
      Throws:
        `JsonMappingException`

Copyright © 2008–2016 FasterXML. All rights reserved.